at.chipkarte.client.rez.soap

## Class PapierrezeptAbgabe

- Object
- - at.chipkarte.client.rez.soap.PapierrezeptAbgabe

-     public class PapierrezeptAbgabe
      extends Object

  Daten der Abgabe zu einem Papierrezept.

  .

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PapierrezeptAbgabe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RezeptAbgabeInformationen` | `getAbgabeinformation()` Rezeptabgabeinformationen.
    `Partnerdaten` | `getAbgeber()` Abgeber Partnerdaten.
    `String` | `getAusstellungsdatum()` Datum der Ausstellung (sowie Datum zu dem der SV Anspruch ermittelt wurde - sofern keine Nacherfassung durchgeführt wurde).
    `String` | `getGueltigBis()` Berechnetes Gültig Bis Datum.
    `String` | `getKvt()` Explizit bei der Abgabe angegebener KV-Träger.
    `String` | `getRegoId()` Eindeutige Id eines REGO TA Datensatzes aufgrund der Einlösung eines Papierrezeptes.
    `SvAnspruch` | `getSvAnspruch()` Anspruchsdaten des SV-Patienten.
    `String` | `getSvnrAbgeleitet()` Versicherungsnummer für abgeleitete Ansprüche.
    `SvPatient` | `getSvPatient()` SV-Patientendaten.
    `void` | `setAbgabeinformation(RezeptAbgabeInformationen abgabeinformation)`
    `void` | `setAbgeber(Partnerdaten abgeber)`
    `void` | `setAusstellungsdatum(String ausstellungsdatum)`
    `void` | `setGueltigBis(String gueltigBis)`
    `void` | `setKvt(String kvt)`
    `void` | `setRegoId(String regoId)`
    `void` | `setSvAnspruch(SvAnspruch svAnspruch)`
    `void` | `setSvnrAbgeleitet(String svnrAbgeleitet)`
    `void` | `setSvPatient(SvPatient svPatient)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PapierrezeptAbgabe

          public PapierrezeptAbgabe()

  - ### Method Detail

    - #### getRegoId

          public String getRegoId()

      Eindeutige Id eines REGO TA Datensatzes aufgrund der Einlösung eines Papierrezeptes.
      Format: 12-stellig
      Angabe: Muss.
      Returns:
        REGO Id

    - #### setRegoId

          public void setRegoId(String regoId)

    - #### getSvPatient

          public SvPatient getSvPatient()

      SV-Patientendaten. Siehe `SvPatient`.
      Angabe: Muss.
      Returns:
        SvPatient

    - #### setSvPatient

          public void setSvPatient(SvPatient svPatient)

    - #### getSvAnspruch

          public SvAnspruch getSvAnspruch()

      Anspruchsdaten des SV-Patienten. Siehe `SvAnspruch`.
      Angabe: Kann.
      Returns:
        SvAnspruch

    - #### setSvAnspruch

          public void setSvAnspruch(SvAnspruch svAnspruch)

    - #### getSvnrAbgeleitet

          public String getSvnrAbgeleitet()

      Versicherungsnummer für abgeleitete Ansprüche.
      Format: 10-stellig
      Angabe: Kann.
      Returns:
        svnr abgeleitet

    - #### setSvnrAbgeleitet

          public void setSvnrAbgeleitet(String svnrAbgeleitet)

    - #### getKvt

          public String getKvt()

      Explizit bei der Abgabe angegebener KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Kann.
      Returns:
        Code des KV-Trägers

    - #### setKvt

          public void setKvt(String kvt)

    - #### getAusstellungsdatum

          public String getAusstellungsdatum()

      Datum der Ausstellung (sowie Datum zu dem der SV Anspruch ermittelt wurde - sofern keine Nacherfassung durchgeführt wurde).
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Ausstellungsdatum

    - #### setAusstellungsdatum

          public void setAusstellungsdatum(String ausstellungsdatum)

    - #### getGueltigBis

          public String getGueltigBis()

      Berechnetes Gültig Bis Datum.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Gültig Bis

    - #### setGueltigBis

          public void setGueltigBis(String gueltigBis)

    - #### getAbgabeinformation

          public RezeptAbgabeInformationen getAbgabeinformation()

      Rezeptabgabeinformationen. Siehe `RezeptAbgabeInformationen`.
      Angabe: Kann.
      Returns:
        Abgabeinformation

    - #### setAbgabeinformation

          public void setAbgabeinformation(RezeptAbgabeInformationen abgabeinformation)

    - #### getAbgeber

          public Partnerdaten getAbgeber()

      Abgeber Partnerdaten. Siehe `Partnerdaten`.
      Angabe: Kann.
      Returns:
        Abgeber

    - #### setAbgeber

          public void setAbgeber(Partnerdaten abgeber)